<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/template.xhtml"
                >



    <ui:define name="conteudo">

        <h:form id="formListagem">
            <p:panel header="Lista de Ofertas">
                <p:dataTable id="tabela" emptyMessage="Nenhum registro encontrado." paginator="true" value="#{ofertaBean.ofertas}" var="oferta" rows="5" >

                    <f:facet name="header">
                        <p:commandButton value="Novo" actionListener="#{ofertaBean.novo}" oncomplete="PF('dialogo').show();"
                                         update=":mensagem :formCadastro:painel">
                            <f:actionListener type="org.omnifaces.eventlistener.ResetInputAjaxActionListener" />
                        </p:commandButton>

                    </f:facet>

                    <p:column headerText="Valor" style="text-align: center;">
                        <h:outputText value="#{oferta.valor}" />

                    </p:column>

                    <p:column headerText="Data inicio" 
                              filterBy="#{oferta.data_inicio}" 
                              filterMatchMode="contains" style="text-align: center;" 
                              sortBy="#{oferta.data_inicio}"  >
                        <h:outputText value="#{oferta.data_inicio}" >
                            <f:convertDateTime locale="pt_BR" />
                        </h:outputText>
                    </p:column>


                    <p:column headerText="Data fim" 
                              filterBy="#{oferta.data_fim}" 
                              filterMatchMode="contains" style="text-align: center;" 
                              sortBy="#{oferta.data_fim}"  >
                        <h:outputText value="#{oferta.data_inicio}" >
                            <f:convertDateTime locale="pt_BR" />
                        </h:outputText>
                    </p:column>



                    <p:column headerText="Opções" style="text-align: center;">
                        <p:commandButton icon="ui-icon-trash" actionListener="#{ofertaBean.excluir}" update=":mensagem :formListagem:tabela">
                            <p:confirm header="Confirmação" message="Deseja excluir a oferta?" icon="ui-icon-alert" />
                            <f:attribute name="OfertaSelecionado" value="#{endereco}" />

                        </p:commandButton>


                        <p:commandButton icon="ui-icon-pencil" actionListener="#{ofertaBean.editar}" update=":mensagem :formCadastro:painel" oncomplete="PF('dialogo').show();" >
                            <f:attribute name="OfertaSelecionado" value="#{oferta}" />
                            <f:actionListener type="org.omnifaces.eventlistener.ResetInputAjaxActionListener" />
                        </p:commandButton>
                    </p:column>   
                </p:dataTable>     

                <p:confirmDialog global="true" > 
                    <p:commandButton value="Sim" type="button"
                                     styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />

                    <p:commandButton value="Nâo" type="button"
                                     styleClass="ui-confirmdialog-no" icon="ui-icon-close" />


                </p:confirmDialog>
            </p:panel>
        </h:form>

        <p:dialog header="Ofertas - Cadastro" widgetVar="dialogo" draggable="true" resizable="false" closable="false">
            <h:form id="formCadastro" enctype="multipart/form-data">
                <h:panelGrid id="painel" columns="2">


                    <p:outputLabel value="Valor:" />
                    <p:inputText maxlength="50" size="30"
                                 value="#{ofertaBean.oferta.valor}" required="true"
                                 requiredMessage="O campo 'valor é obrigatório" />



                    <p:outputLabel value="Data inicio:" />
                    <p:calendar 
                        value="#{ofertaBean.oferta.data_inicio}" required="true"
                                requiredMessage="O campo 'Data inicial' é obrigatório"
                                size="10" locale="pt_BR" />
                    
                    
                    <p:outputLabel value="Data fim:" />
                    <p:calendar 
                        value="#{ofertaBean.oferta.data_fim}" required="true"
                                requiredMessage="O campo 'Data final' é obrigatório"
                                size="10" locale="pt_BR" />


                </h:panelGrid>


                <h:panelGrid columns="2">
                    <p:commandButton value="Salvar" actionListener="#{ofertaBean.salvar}" update=":mensagem :formCadastro:painel :formListagem:tabela" oncomplete="PF('dialogo').hide();" />
                    <p:commandButton value="Fechar" oncomplete="PF('dialogo').hide();" />


                </h:panelGrid>

            </h:form>


        </p:dialog>










    </ui:define>

</ui:composition>